org.apache.sling.maven.projectsupport

## Class AbstractBundleListMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.projectsupport.AbstractBundleListMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  AbstractUsingBundleListMojo, AttachPartialBundleListMojo

    public abstract class AbstractBundleListMojo
    extends org.apache.maven.plugin.AbstractMojo

### Field Summary

Fields
`protected File` `bundleListFile`
`protected File` `commonSlingBootstrap`
`protected File` `commonSlingProps`
`protected boolean` `ignoreBundleListConfig`
`protected org.apache.maven.execution.MavenSession` `mavenSession`
`protected static String` `PARTIAL` Partial Bundle List type
`protected org.apache.maven.project.MavenProject` `project` The Maven project.
`protected org.apache.maven.project.MavenProjectHelper` `projectHelper`
`protected File` `standaloneSlingBootstrap`
`protected File` `standaloneSlingProps`
`protected File` `webappSlingBootstrap`
`protected File` `webappSlingProps`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractBundleListMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `copyDirectory(File source, File target, String[] includes, String[] excludes)` Helper method to copy a whole directory
`protected org.apache.maven.artifact.Artifact` `getArtifact(ArtifactDefinition def)` Get a resolved Artifact from the coordinates found in the artifact definition.
`protected org.apache.maven.artifact.Artifact` `getArtifact(String groupId, String artifactId, String version, String type, String classifier)` Get a resolved Artifact from the coordinates provided
`protected File` `getConfigDirectory()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.plugin.Mojo

`execute`

### Field Detail

#### PARTIAL

    protected static final String PARTIAL

Partial Bundle List type

See Also:
  Constant Field Values

#### bundleListFile

    @Parameter(defaultValue="${basedir}/src/main/bundles/list.xml")
    protected File bundleListFile

#### project

    @Parameter(defaultValue="${project}",
               readonly=true)
    protected org.apache.maven.project.MavenProject project

The Maven project.

#### projectHelper

    @Component
    protected org.apache.maven.project.MavenProjectHelper projectHelper

#### commonSlingProps

    @Parameter(property="commonSlingProps",
               defaultValue="src/main/sling/common.properties")
    protected File commonSlingProps

#### commonSlingBootstrap

    @Parameter(property="commonSlingBootstrap",
               defaultValue="src/main/sling/common.bootstrap.txt")
    protected File commonSlingBootstrap

#### webappSlingProps

    @Parameter(property="webappSlingProps",
               defaultValue="src/main/sling/webapp.properties")
    protected File webappSlingProps

#### webappSlingBootstrap

    @Parameter(property="webappSlingBootstrap",
               defaultValue="src/main/sling/webapp.bootstrap.txt")
    protected File webappSlingBootstrap

#### standaloneSlingProps

    @Parameter(property="standaloneSlingProps",
               defaultValue="src/main/sling/standalone.properties")
    protected File standaloneSlingProps

#### standaloneSlingBootstrap

    @Parameter(property="standaloneSlingBootstrap",
               defaultValue="src/main/sling/standalone.bootstrap.txt")
    protected File standaloneSlingBootstrap

#### ignoreBundleListConfig

    @Parameter(property="ignoreBundleListConfig",
               defaultValue="false")
    protected boolean ignoreBundleListConfig

#### mavenSession

    @Parameter(defaultValue="${session}",
               readonly=true)
    protected org.apache.maven.execution.MavenSession mavenSession

### Constructor Detail

#### AbstractBundleListMojo

    public AbstractBundleListMojo()

### Method Detail

#### getConfigDirectory

    protected File getConfigDirectory()

#### getArtifact

    protected org.apache.maven.artifact.Artifact getArtifact(ArtifactDefinition def)
                                                      throws org.apache.maven.plugin.MojoExecutionException

Get a resolved Artifact from the coordinates found in the artifact definition.

Parameters:
  `def` - the artifact definition
Returns:
  the artifact, which has been resolved
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### getArtifact

    protected org.apache.maven.artifact.Artifact getArtifact(String groupId,
                                                             String artifactId,
                                                             String version,
                                                             String type,
                                                             String classifier)
                                                      throws org.apache.maven.plugin.MojoExecutionException

Get a resolved Artifact from the coordinates provided

Returns:
  the artifact, which has been resolved.
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### copyDirectory

    protected void copyDirectory(File source,
                                 File target,
                                 String[] includes,
                                 String[] excludes)
                          throws IOException

Helper method to copy a whole directory

Throws:
  `IOException`